/*
    
    * This file is a part of Libcsys.
    * Library for managing drive and getting system resource information in real time for CuboCore Application Suite
	* Copyright 2019 CuboCore Group
    *

    *
    * This program is free software; you can redistribute it and/or modify
    * it under the terms of the GNU General Public License as published by
    * the Free Software Foundation; either version 3 of the License, or
    * (at your option) any later version.
    *

    *
    * This program is distributed in the hope that it will be useful,
    * but WITHOUT ANY WARRANTY; without even the implied warranty of
    * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    * GNU General Public License for more details.
    *

    *
    * You should have received a copy of the GNU General Public License
    * along with this program; if not, vsit http://www.gnu.org/licenses/.
    *
*/


#ifndef PROCESS_INFO_H
#define PROCESS_INFO_H

#include "libcsys_global.h"


class Process;

class LIBCSYSSHARED_EXPORT ProcessInfo : public QObject {
    Q_OBJECT

public:
    QList<Process *> getProcessList() const;

public slots:
    void updateProcesses();

private:
    QList<Process *> processList;
};

#endif // PROCESS_INFO_H
